# class FalseClass

The global value `false` is the only instance of class `FalseClass` and represents a logically false value in boolean expressions. The class provides operators allowing `false` to participate correctly in logical expressions.

### Public Instance Methods

false & obj → false click to toggle source
nil & obj → false

And—Returns `false`. obj is always evaluated as it is the argument to a method call—there is no short-circuit evaluation in this case.

    static VALUE
    false_and(VALUE obj, VALUE obj2)
    {
        return Qfalse;
    }

obj === other → true or false click to toggle source

Case Equality – For class `Object`, effectively the same as calling `#==`, but typically overridden by descendants to provide meaningful semantics in `case` statements.

    #define case_equal rb_equal

false ^ obj → true or false click to toggle source
nil ^ obj → true or false

Exclusive Or—If obj is `nil` or `false`, returns `false`; otherwise, returns `true`.

    #define false_xor true_and

inspect()

The string representation of `false` is “false”.

Alias for: to_s
to_s → "false" click to toggle source

The string representation of `false` is “false”.

    MJIT_FUNC_EXPORTED VALUE
    rb_false_to_s(VALUE obj)
    {
        return rb_cFalseClass_to_s;
    }

Also aliased as: inspect
false | obj → true or false click to toggle source
nil | obj → true or false

Or—Returns `false` if obj is `nil` or `false`; `true` otherwise.

    #define false_or true_and